#### Description:

This function takes a snapshot of the graphics functions which are currently registered with the supplied Plot, and saves the snapshot on a first-in-last-out stack within the Plot. The snapshot can be restored later using function astGrfPop.

The astGrfPush and astGrfPop functions are intended for situations where it is necessary to make temporary changes to the graphics functions used by the Plot. The current functions should first be saved by calling astGrfPush. New functions should then be registered using astGrfSet. The required graphics should then be produced. Finally, astGrfPop should be called to restore the original graphics functions.

#### Synopsis

void astGrfPush( AstPlot ∗this )

#### Parameters:

##### this

Pointer to the Plot.
Copyright (C) 2021 East Asian Observatory